diff --git a/.clang-format b/.clang-format
new file mode 100644
index 0000000000..5264564176
--- /dev/null
+++ b/.clang-format
@@ -0,0 +1,20 @@
+---
+BasedOnStyle: WebKit
+AllowShortBlocksOnASingleLine: false
+AllowShortFunctionsOnASingleLine: false
+AllowShortIfStatementsOnASingleLine: false
+AlwaysBreakAfterDefinitionReturnType: All
+AlwaysBreakAfterReturnType: All
+AlignAfterOpenBracket: Align
+AlignEscapedNewlines: Left
+BinPackArguments: true
+BinPackParameters: true
+BreakBeforeBinaryOperators: None
+ColumnLimit: 90
+IndentWidth: 4
+IndentPPDirectives: None  # AfterHash uses global IndentWidth....
+PointerAlignment: Right
+CommentPragmas: '^ clang-format: '
+SortIncludes: false
+MaxEmptyLinesToKeep: 1
+---
diff --git a/core/arch/aarch64/instr.c b/core/arch/aarch64/instr.c
index ad58e34855..d15afee196 100644
--- a/core/arch/aarch64/instr.c
+++ b/core/arch/aarch64/instr.c
@@ -145,8 +145,8 @@ bool
 instr_is_cbr_arch(instr_t *instr)
 {
     int opc = instr->opcode; /* caller ensures opcode is valid */
-    return (opc == OP_bcond ||
-            opc == OP_cbnz || opc ==  OP_cbz ||
+    return (opc == OP_bcond || /* clang-format: keep */
+            opc == OP_cbnz || opc ==  OP_cbz ||  /* clang-format: keep */
             opc == OP_tbnz || opc ==  OP_tbz);
 }
 
